var img;

var nw,nh;
var delement;

var t,tInc,t2,tInc2;

var stepsw = 60;
var stepsh = 30;

function setup() {
  delement = select("#viz");
  nw = delement.size().width;
  nh = 400*nw/960;
  var canvas = createCanvas(nw, nh);
  canvas.parent('viz');
  background(255,255, 255);
  t=0;t2=0;
  tInc=0.01;tInc2=0.004;
}

function draw() {
  background(255,255,255);
  t = t + tInc;
  t2 = t2 + 20*tInc2*cos(t);
  
  var dx = nw/stepsw;
  var dy = nh/stepsh;
  
  for(var i = 0; i<stepsw; i++){
    for(var j = 0; j<stepsh; j++){
      var r = abs(155*cos( t + i*TWO_PI/stepsw  ) + 100*sin( t2 + j*TWO_PI/stepsh));
      var g = 0;//abs(255*sin(t2 + j*TWO_PI/stepsh));
      var b = 0;//abs(255*cos(t2+t + (j+i)*TWO_PI/stepsw));
      fill(r,g,b);
      noStroke();
      rect(dx*i,dy*j,dx*(i+1),dy+(j+1));
    }  
  }
  
  image(img,0,0,img.width,img.height,0,0,width,height);
  
}

function windowResized() {
  nw = delement.size().width;
  nh = img.height*nw/img.width;
  resizeCanvas(nw, nh);
}

function preload(){
  
  img = loadImage('http://www.artisopensource.net/aos-sketches/Aos-viz2/assets/AOS-inverse-white.png');
  
  nw = 960;
  nh = img.height*nw/img.width;
  
}